#ifndef BITSTREAMVERIFIER_H
#define BITSTREAMVERIFIER_H

#include <QString.h>

class BitstreamInfo
{
public:
    QString name;

    QString user;
    QString generator;

    QString partNumber;
    QString repType;

    unsigned int size;

    QString date;
    QString time;
};

class BitstreamVerifier
{
public:
    BitstreamVerifier();

    bool verify(const QString& filename);
    bool verify(const QByteArray& d);

    BitstreamInfo info() const
    {
        return m_info;
    }

protected:
    BitstreamInfo m_info;

};

#endif // BITSTREAMVERIFIER_H
